Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element content

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType (extension)
                |
                +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}abstractWindowChildType (extension)
                     |
                     +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0} (extension)

Properties
  This component is not nillable.

Model
  `<content
  id = xs:string
  presentationClass = xs:string
  presentationStyle = xs:string>
  (page | pageContent | theme | bookContent | book)*
  </content>`

Nested Element Summary
`` | `book`
`` | `bookContent`
`` | `page`
`` | `pageContent`
`` | `theme`

Attribute Summary
`xs:string` | `id`
`xs:string` | `presentationClass`
`xs:string` | `presentationStyle`

Attribute Detail

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:element name="content">
        <xs:complexType>
          <xs:complexContent>
            <xs:extension base="abstractWindowChildType">
              <xs:choice maxOccurs="unbounded" minOccurs="0">
                <xs:element ref="page"/>
                <xs:element ref="pageContent"/>
                <xs:element name="theme">
                  <xs:complexType>
                    <xs:complexContent>
                      <xs:extension base="themeType">
                        <xs:sequence>
                          <xs:choice>
                            <xs:element ref="bookContent"/>
                            <xs:element ref="book"/>
                            <xs:element ref="page"/>
                            <xs:element ref="pageContent"/>
                          </xs:choice>
                        </xs:sequence>
                      </xs:extension>
                    </xs:complexContent>
                  </xs:complexType>
                </xs:element>
                <xs:element ref="bookContent"/>
                <xs:element ref="book"/>
              </xs:choice>
              <xs:attribute name="presentationClass" type="xs:string" use="optional"/>
              <xs:attribute name="presentationStyle" type="xs:string" use="optional"/>
            </xs:extension>
          </xs:complexContent>
        </xs:complexType>
      </xs:element>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation